import React from 'react'
import { Arrow } from './Icons';

const Button = ({ label, href }: { label: string; href: string }) => {
    return (
        <a href={href} className='ring-2 ring-inset ring-orange-400 rounded-full uppercase tracking-tight text-sm overflow-hidden h-11 flex group transition-all duration-300'>
            <span className='pl-4 pr-3 h-full flex justify-center items-center bg-orange-400'>{label}</span>
            <span className='px-4 h-full flex justify-center items-center bg-orange-400 group-hover:ml-4 transition-all duration-300'>
                <Arrow className='group-hover:-rotate-45 transition-all duration-300'/>
            </span>
        </a>
    )
}


export default Button